	.file	"main.cpp"
	.text
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC0:
	.string	" ---[ Window ]--------------------------------- "
	.align 8
.LC1:
	.string	" ---[ Texture ]-------------------------------- "
	.align 8
.LC2:
	.string	" ---[ Library ]-------------------------------- "
	.align 8
.LC3:
	.string	" ---[ Network ]-------------------------------- "
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC4:
	.string	" NETWORK PORT: "
	.text
	.globl	_Z6Loaderv
	.type	_Z6Loaderv, @function
_Z6Loaderv:
.LFB3049:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	subq	$32, %rsp
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movb	$0, -47(%rbp)
	movb	$0, -46(%rbp)
	movb	$24, -45(%rbp)
	movb	$4, -44(%rbp)
	movl	$48, %edx
	movl	$.LC0, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L17
	cmpb	$0, 56(%rbx)
	je	.L3
	movzbl	67(%rbx), %esi
.L4:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movzbl	wide(%rip), %r8d
	movl	$16, %ecx
	movl	$640, %edx
	movl	$1280, %esi
	movl	$wind, %edi
	call	_ZN4WIND9createWinEiiib
	movzbl	wide(%rip), %r8d
	movl	$16, %ecx
	movl	$640, %edx
	movl	$1280, %esi
	movl	$wind, %edi
	call	_ZN4WIND12createRenderEiiib
	movl	$fps, %edi
	call	_ZN3FPS15InitTimeCounterEv
	movl	$48, %edx
	movl	$.LC1, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L18
	cmpb	$0, 56(%rbx)
	je	.L6
	movzbl	67(%rbx), %esi
.L7:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movl	$box, %edi
	call	_ZN6FLYBOX13textureLoaderEv
	movl	$fly, %edi
	call	_ZN3FLY11loadTextureEv
	movl	$48, %edx
	movl	$.LC2, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L19
	cmpb	$0, 56(%rbx)
	je	.L9
	movzbl	67(%rbx), %esi
.L10:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movl	$fly, %edi
	call	_ZN3FLY10glewStatusEv
	movl	$48, %edx
	movl	$.LC3, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L20
	cmpb	$0, 56(%rbx)
	je	.L12
	movzbl	67(%rbx), %esi
.L13:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movl	$15, %edx
	movl	$.LC4, %esi
	movl	$_ZSt4cout, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movl	$5799, %esi
	movl	$_ZSt4cout, %edi
	call	_ZNSolsEi
	movq	%rax, %rbx
	movq	(%rax), %rax
	movq	-24(%rax), %rax
	movq	240(%rbx,%rax), %r12
	testq	%r12, %r12
	je	.L21
	cmpb	$0, 56(%r12)
	je	.L15
	movzbl	67(%r12), %esi
.L16:
	movsbl	%sil, %esi
	movq	%rbx, %rdi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movl	$leo, %edi
	call	_ZN3LEO9init_CordEv
	movsbl	-46(%rbp), %edx
	movsbl	-47(%rbp), %esi
	movl	$leo, %edi
	call	_ZN3LEO9make_CordEii
	movl	$leo, %edi
	call	_ZN3LEO10print_infoEv
	leaq	-48(%rbp), %rsi
	movl	$leo, %edi
	call	_ZN3LEO10print_pathEPc
	addq	$32, %rsp
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L17:
	.cfi_restore_state
	call	_ZSt16__throw_bad_castv
.L3:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L4
.L18:
	call	_ZSt16__throw_bad_castv
.L6:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L7
.L19:
	call	_ZSt16__throw_bad_castv
.L9:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L10
.L20:
	call	_ZSt16__throw_bad_castv
.L12:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L13
.L21:
	call	_ZSt16__throw_bad_castv
.L15:
	movq	%r12, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%r12), %rax
	movl	$10, %esi
	movq	%r12, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L16
	.cfi_endproc
.LFE3049:
	.size	_Z6Loaderv, .-_Z6Loaderv
	.globl	_Z7Flysimuv
	.type	_Z7Flysimuv, @function
_Z7Flysimuv:
.LFB3050:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$fly, %edi
	call	_ZN3FLY8initMainEv
	movl	$640, %edx
	movl	$1280, %esi
	movl	$fly, %edi
	call	_ZN3FLY9LandscapeEii
	movss	.LC5(%rip), %xmm0
	movl	$fly, %edi
	call	_ZN3FLY9pointGridEf
	movss	.LC5(%rip), %xmm0
	movl	$mov, %edi
	call	_ZN3MOV9motorGridEf
	movl	$mov, %edi
	call	_ZN3MOV5MotorEv
	movl	$mod, %edi
	call	_ZN3MOD7CockpitEv
	movl	$mov, %edi
	call	_ZN3MOV8TerminalEv
	movl	$640, %edx
	movl	$1280, %esi
	movl	$wind, %edi
	call	_ZN4WIND11perspectiveEii
	movl	$wind, %edi
	call	_ZN4WIND8loadFontEv
	movl	$wind, %edi
	call	_ZN4WIND9eventloopEv
	movl	$fps, %edi
	call	_ZN3FPS12CalculateFPSEv
	movss	.LC5(%rip), %xmm0
	movl	$fps, %edi
	call	_ZN3FPS17UpdateTimeCounterEf
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3050:
	.size	_Z7Flysimuv, .-_Z7Flysimuv
	.section	.rodata.str1.8
	.align 8
.LC6:
	.string	" ---[ Server ]--------------------------------- "
	.section	.rodata.str1.1
.LC7:
	.string	" TCP-SERVER: SOCKET "
.LC8:
	.string	" TCP-SERVER: BIND "
.LC9:
	.string	" TCP-SERVER: LISTEN "
.LC10:
	.string	" TCP-SERVER: ACCEPT "
	.text
	.globl	_Z6Serverv
	.type	_Z6Serverv, @function
_Z6Serverv:
.LFB3051:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$.LC6, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
	movq	%rax, %rdi
	call	_ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_
	movl	$server1, %edi
	call	_ZN7Network6socketEv
	movl	$.LC7, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
	movq	%rax, %rdi
	call	_ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_
	movl	$5799, %esi
	movl	$server1, %edi
	call	_ZN7Network4bindEi
	movl	$.LC8, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
	movq	%rax, %rdi
	call	_ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_
	movl	$server1, %edi
	call	_ZNK7Network6listenEv
	movl	$.LC9, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
	movq	%rax, %rdi
	call	_ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_
	movl	$server2, %esi
	movl	$server1, %edi
	call	_ZNK7Network6acceptERS_
	movl	$.LC10, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
	movq	%rax, %rdi
	call	_ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_
.L25:
	movzbl	fgrid(%rip), %eax
.L24:
	testb	%al, %al
	je	.L24
	call	_Z7Flysimuv
	jmp	.L25
	.cfi_endproc
.LFE3051:
	.size	_Z6Serverv, .-_Z6Serverv
	.section	.rodata.str1.8
	.align 8
.LC11:
	.string	" ---[ Client ]--------------------------------- "
	.section	.rodata.str1.1
.LC12:
	.string	" SERVER IP: "
.LC13:
	.string	" TCP-CLIENT: SOCKET "
.LC14:
	.string	" TCP-CLIENT: CONNECT "
	.text
	.globl	_Z6Clientv
	.type	_Z6Clientv, @function
_Z6Clientv:
.LFB3052:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
1:	call	mcount
	movl	$.LC11, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
	movq	%rax, %rdi
	call	_ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_
	movl	$.LC12, %edi
	movl	$0, %eax
	call	printf
	movq	stdin(%rip), %rdx
	movl	$25, %esi
	leaq	-32(%rbp), %rdi
	call	fgets
	movl	$client1, %edi
	call	_ZN7Network6socketEv
	movl	$.LC13, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
	movq	%rax, %rdi
	call	_ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_
	movl	$5799, %edx
	leaq	-32(%rbp), %rsi
	movl	$client1, %edi
	call	_ZN7Network7connectEPci
	movl	$.LC14, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
	movq	%rax, %rdi
	call	_ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_
.L29:
	movzbl	fgrid(%rip), %eax
.L28:
	testb	%al, %al
	je	.L28
	call	_Z7Flysimuv
	jmp	.L29
	.cfi_endproc
.LFE3052:
	.size	_Z6Clientv, .-_Z6Clientv
	.globl	main
	.type	main, @function
main:
.LFB3053:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 15, -24
	.cfi_offset 14, -32
	.cfi_offset 13, -40
	.cfi_offset 12, -48
	.cfi_offset 3, -56
1:	call	mcount
	movl	%edi, %r14d
	testl	%edi, %edi
	jle	.L32
	movq	%rsi, %r13
	movslq	%edi, %rdx
	leaq	(%rsi,%rdx,8), %r15
	jmp	.L33
.L41:
	movb	$1, wide(%rip)
.L34:
	addq	$1, %rbx
	movq	(%r12), %rax
	movzbl	(%rax,%rbx), %eax
	movsbl	%al, %edx
	cmpl	%ebx, %edx
	jle	.L45
.L44:
	subl	$67, %eax
	cmpb	$51, %al
	ja	.L34
	movzbl	%al, %eax
	jmp	*.L36(,%rax,8)
	.section	.rodata
	.align 8
	.align 4
.L36:
	.quad	.L42
	.quad	.L34
	.quad	.L34
	.quad	.L41
	.quad	.L40
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L39
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L38
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L37
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L34
	.quad	.L35
	.text
.L38:
	movb	$1, fwindow(%rip)
	call	_Z6Loaderv
	jmp	.L34
.L39:
	movb	$1, fserver(%rip)
	call	_Z6Serverv
.L42:
	movb	$1, fclient(%rip)
	call	_Z6Clientv
.L40:
	movb	$1, fgrid(%rip)
.L43:
	call	_Z7Flysimuv
	cmpb	$0, fgrid(%rip)
	jne	.L43
	jmp	.L34
.L35:
	movb	$1, fversion(%rip)
	movl	$help, %edi
	call	_ZN4HELP7versionEv
	jmp	.L34
.L37:
	movb	$1, fhelp(%rip)
	movl	%r14d, %esi
	movl	$help, %edi
	call	_ZN4HELP4DeskEi
	jmp	.L34
.L45:
	addq	$8, %r13
	cmpq	%r13, %r15
	je	.L32
.L33:
	movq	%r13, %r12
	movq	0(%r13), %rax
	movzbl	(%rax), %eax
	movl	$0, %ebx
	testb	%al, %al
	jg	.L44
	jmp	.L45
.L32:
	movl	$0, %eax
	addq	$8, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3053:
	.size	main, .-main
	.type	_GLOBAL__sub_I_help, @function
_GLOBAL__sub_I_help:
.LFB3490:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$_ZStL8__ioinit, %edi
	call	_ZNSt8ios_base4InitC1Ev
	movl	$__dso_handle, %edx
	movl	$_ZStL8__ioinit, %esi
	movl	$_ZNSt8ios_base4InitD1Ev, %edi
	call	__cxa_atexit
	movl	$server1, %edi
	call	_ZN7NetworkC1Ev
	movl	$server2, %edi
	call	_ZN7NetworkC1Ev
	movl	$client1, %edi
	call	_ZN7NetworkC1Ev
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3490:
	.size	_GLOBAL__sub_I_help, .-_GLOBAL__sub_I_help
	.section	.init_array,"aw"
	.align 8
	.quad	_GLOBAL__sub_I_help
	.globl	wide
	.bss
	.type	wide, @object
	.size	wide, 1
wide:
	.zero	1
	.globl	fhelp
	.type	fhelp, @object
	.size	fhelp, 1
fhelp:
	.zero	1
	.globl	fversion
	.type	fversion, @object
	.size	fversion, 1
fversion:
	.zero	1
	.globl	fclient
	.type	fclient, @object
	.size	fclient, 1
fclient:
	.zero	1
	.globl	fserver
	.type	fserver, @object
	.size	fserver, 1
fserver:
	.zero	1
	.globl	fgrid
	.type	fgrid, @object
	.size	fgrid, 1
fgrid:
	.zero	1
	.globl	fwindow
	.type	fwindow, @object
	.size	fwindow, 1
fwindow:
	.zero	1
	.globl	client1
	.align 32
	.type	client1, @object
	.size	client1, 36
client1:
	.zero	36
	.globl	server2
	.align 32
	.type	server2, @object
	.size	server2, 36
server2:
	.zero	36
	.globl	server1
	.align 32
	.type	server1, @object
	.size	server1, 36
server1:
	.zero	36
	.globl	box
	.align 32
	.type	box, @object
	.size	box, 72
box:
	.zero	72
	.globl	font
	.align 32
	.type	font, @object
	.size	font, 96
font:
	.zero	96
	.globl	mod
	.type	mod, @object
	.size	mod, 1
mod:
	.zero	1
	.globl	mov
	.type	mov, @object
	.size	mov, 1
mov:
	.zero	1
	.globl	fly
	.type	fly, @object
	.size	fly, 1
fly:
	.zero	1
	.globl	leo
	.type	leo, @object
	.size	leo, 1
leo:
	.zero	1
	.globl	fps
	.align 32
	.type	fps, @object
	.size	fps, 48
fps:
	.zero	48
	.globl	wind
	.type	wind, @object
	.size	wind, 1
wind:
	.zero	1
	.globl	help
	.type	help, @object
	.size	help, 1
help:
	.zero	1
	.local	_ZStL8__ioinit
	.comm	_ZStL8__ioinit,1,1
	.section	.rodata.cst4,"aM",@progbits,4
	.align 4
.LC5:
	.long	925353388
	.hidden	__dso_handle
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
